\begin{figure}[ht]
\begin{center}
\begin{pspicture}(0,0)(8.5,3.5)

%%%%%%%% A1:
\rput(0,2){$\atfa[1]$:}
\cnodeput[linestyle=dashed](1,2){q1}{$\state[1]$}
\cnodeput(4.75,2){q2}{$\state[2]$}
\cnodeput[doubleline=true](8.5,2){q3}{$\state[3]$}

\ncline{->}{q1}{q2}
\goto{\clock{a}{}{\atimer=0}}
\ncarc[arcangleA=135,arcangleB=135,ncurv=3]{->}{q2}{q2}
\goto{\clock{b}{\atimer < 10}{}}
\ncline{->}{q2}{q3}
\goto{c}

%%%%%%%% A2:
\rput(0,0){$\atfa[2]$:}
\cnodeput[linestyle=dashed](1,0){q4}{$\state[1]$}
\cnodeput(3.5,0){q5}{$\state[2]$}
\cnodeput(6,0){q6}{$\state[3]$}
\cnodeput[doubleline=true](8.5,0){q7}{$\state[4]$}
\ncline{->}{q4}{q5}
\goto{\clock{a}{$\atimer=0$}{}}
\ncline{->}{q5}{q6}
\goto{\clock{b}{\atimer<10}{}}
\ncline{->}{q6}{q7}
\goto{\clock{c}{\atimer<20}{}}

\end{pspicture}
\end{center}
\caption{Malformed TFAs.
Start states are denoted with a dashed circle, and accepting states with a double line.
The intent of $\atfa[1]$ is to allow
strings of the form $a$, followed by arbitrarily many $b$s, as long as they all 
occur less than 10 units after the $a$, followed by a $c$.  The intent of 
$\atfa[2]$ is to allows strings of the form $abc$, where the elapsed time between
the $a$ and $b$ is less than 10, and that between the $a$ and $c$ is less than 20.
Both of these can be rewritten using conforming automata, as shown in 
Figure~\ref{fig:wellformed}.}
\label{fig:malformed}
\end{figure}

\endinput
